/'************************************************************************
 *                                                                       *
 * Open Dynamics Engine, Copyright (C) 2001,2002 Russell L. Smith.       *
 * All rights reserved.  Email: russ@q12.org   Web: www.q12.org          *
 *                                                                       *
 * Ported to FreeBASIC by D.J.Peters (Joshy)                             *
 *                                                                       *
 ************************************************************************'/
#ifndef __DS_INTERNAL_BI
#define __DS_INTERNAL_BI

#include "drawstuff.bi"
' supplied by platform specific code
declare sub dsPlatformSimLoop APICALL (w as integer, _
                                       h as integer, _
                                       f as dsFunctions ptr   , _
                                       initial_pause as integer)


' used by platform specific code
declare sub dsStartGraphics APICALL (w as integer, _
                                     h as integer, _
                                     f as  dsFunctions ptr)

declare sub dsDrawFrame APICALL (w     as integer, _
                                 h     as integer, _
                                 f     as dsFunctions ptr, _
                                 pause as integer)
declare sub dsStopGraphics APICALL ()
declare sub dsMotion APICALL(mode   as integer, _
                             deltax as integer, _
                             deltay as integer)

declare function dsGetShadows APICALL () as integer
declare sub      dsSetShadows APICALL (a as integer)

declare function dsGetTextures APICALL () as integer
declare sub      dsSetTextures APICALL (a as integer)

declare function dsGetFog APICALL () as integer
declare sub      dsSetFog APICALL (a as integer)
#endif ' __DS_INTERNAL_BI